/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

/*******************************************************************************
 * DWT: SWT port for the D Language
 * 
 * Contributors:
 * 	The DWT team at http://www.dsource.org/projects/dwt
 * 
 *******************************************************************************/



module dwt.util.throwable;

/+
	TODO: replace functionality in java.lang.Throwable, if we need to.
+/

public class Throwable : Error {

	this(char[] msg)
    {
		super(msg);
    }

    this(char[] msg, Error next)
    {
		super(msg);
		this.next = next;
    }
    
}
