/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

/*******************************************************************************
 * DWT: SWT port for the D Language
 * 
 * Contributors:
 * 	The DWT team at http://www.dsource.org/projects/dwt
 * 
 *******************************************************************************/


module dwt.util.util;


int abs(int x) {
    return x > 0 ? x : -x;
}

int min(int a, int b) {
    return a >= b ? b : a;
}

double max(double a, double b) {
	// Returns the greater of two double values.
	return a >= b ? a : b;
}

float max(float a, float b) {
	// Returns the greater of two float values.
	return a >= b ? a : b;
}

int max(int a, int b) {
	// Returns the greater of two int values.
	return a >= b ? a : b;
}

long max(long a, long b)  {
	// Returns the greater of two long values.
	return a >= b ? a : b;
}

//bool toUpperCase (char c) {
char toUpperCase (char c) {
	if ('a' <= c && c <= 'z') {
	    return c - (cast(char)'a' - 'A');
	} else {
		return c;
	}
	
}

alias wchar[] String;

