#
# dwt makefile
# 
# Created:  2004.2.8	BSA
#
# Modified: 2004.7.1	BSA
#	Updated to combat forward references by putting everything on the DMD command-line.
#	A switch from scons back to make.  Also, making use of multiple -version switches for
#	Unicode and the OS.
#

imports=d:\dmd\src\phobos 

dwt.dwt=\
	dwt/dwt.d

dwt.graphics=\
	dwt/graphics/IDrawable.d\
	dwt/graphics/color.d\
	dwt/graphics/cursor.d \
	dwt/graphics/device.d \
	dwt/graphics/devicedata.d \
	dwt/graphics/font.d \
	dwt/graphics/fontdata.d \
	dwt/graphics/fontmetrics.d \
	dwt/graphics/gc.d \
	dwt/graphics/gcdata.d \
	dwt/graphics/image.d \
	dwt/graphics/imagedata.d \
	dwt/graphics/imageloader.d \
	dwt/graphics/palettedata.d \
	dwt/graphics/point.d \
	dwt/graphics/rectangle.d \
	dwt/graphics/region.d \
	dwt/graphics/rgb.d

dwt.internal = \
	dwt/internal/callback.d \
	dwt/internal/cloneablecompatibility.d \
	dwt/internal/compatibility.d \
	dwt/internal/library.d \
	dwt/internal/platform.d \
	dwt/internal/serializablecompatibility.d \
	dwt/internal/types.d \
	$(dwt.internal.images) \
	$(dwt.internal.ole) \
	$(dwt.internal.win32)

dwt.internal.win32 = \
	dwt/internal/win32/os.d\
	dwt/internal/win32/tchar.d\
	dwt/internal/win32/types.d

dwt.accessible = \
	dwt/accessibility/acc.d \
	dwt/accessibility/accessible.d

dwt.util = \
	dwt/util/runnable.d \
	dwt/util/string.d \
	dwt/util/system.d \
	dwt/util/thread.d \
	dwt/util/throwable.d \
	dwt/util/util.d

dwt.widgets = \
	dwt/widgets/button.d \
	dwt/widgets/canvas.d \
	dwt/widgets/caret.d \
	dwt/widgets/composite.d \
	dwt/widgets/control.d \
	dwt/widgets/decorations.d \
	dwt/widgets/display.d \
	dwt/widgets/event.d \
	dwt/widgets/imagelist.d \
	dwt/widgets/item.d \
	dwt/widgets/layout.d \
	dwt/widgets/menu.d \
	dwt/widgets/menuitem.d \
	dwt/widgets/monitor.d \
	dwt/widgets/runnablelock.d \
	dwt/widgets/scrollable.d \
	dwt/widgets/scrollbar.d \
	dwt/widgets/shell.d \
	dwt/widgets/synchronizer.d \
	dwt/widgets/widget.d
	
#	dwt/widgets/table.d \
#	dwt/widgets/tablecolumn.d \
#	dwt/widgets/tableitem.d \
#	dwt/widgets/text.d \
#	dwt/widgets/toolbar.d \
#	dwt/widgets/toolitem.d \
#	dwt/widgets/tracker.d \
#	dwt/widgets/tree.d \
#	dwt/widgets/treeitem.d \

	
dwtSRC = \
	$(dwt.dwt)\
	$(dwt.accessible)\
	$(dwt.graphics)\
	$(dwt.internal)\
	$(dwt.util)\
	$(dwt.widgets)

hello:
	dmd -version=Win32 -version=Unicode HelloDWT.d $(dwtSRC) -g


all: hello
	
